<?
error_reporting(E_ALL);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_bodega=0; 
$id_vendedor=1;
$tipo_libro = $_GET['tipo_libro'];
include("../conex.php");

//require '../LibFE/Clases/Autentificacion.php';
//require_once '../LibFE/Clases/AceptaRechazaConsultaDteSii.php';

/********************************** Datos Empresa *********************************************************************/
	$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna AND id=$id_empresa";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$empresa_comuna=mysql_result($res_empresa, $row, "comunas.comuna");
		$empresa_actividad=mysql_result($res_empresa, $row, "actividad");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$empresa_cuenta_cargo=mysql_result($res_empresa, $row, "cuenta_cargo");
		$empresa_cuenta_ingreso=mysql_result($res_empresa, $row, "cuenta_ingreso");
		$empresa_cuenta_corriente=mysql_result($res_empresa, $row, "cuenta_corriente");
		$row=$row+1;
		}

if (empty($txtfecha)){$txtfecha = date('d')."/".date('m')."/".date('Y');}
if (empty($busca_numero)){$busca_numero ='';}

$fecha_busca = explode("/",$txtfecha); 
$fecha_libro_insert = $fecha_busca[2]."-".$fecha_busca[1]."-".$fecha_busca[0];
$ano=$fecha_busca[2];
$mes=$fecha_busca[1];		
?>
<!DOCTYPE html>
<html>
<head>
	<title>Compara Libro SII con Libro <? if($tipo_libro=='S'){echo "Venta";}else{echo "Compra";} ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<script language="JavaScript" src="../css/cal.js" type="text/JavaScript"></script>
<style>
#cajon1{
float:left;
width:48%;
}
#cajon2{
float:left;
width:48%;
}
body{
margin-bottom:150px;
}
</style>
</head>
<body>
<table width="640" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="60px"><div align="center"><img src="../Images/logo.gif" width="60px" height="60px"></div></td>
	<td width="580px"><div align="left"><font size="1">
		<?=$empresa_nombre?><br>
		<?=$empresa_direccion?><br>
		<?=$empresa_ciudad;?>

		</font></div>
	</td>
    <td width="20%">&nbsp;</td>
  </tr>
</table>
<br>
<div align="center">
<h1>Compara Libro Compra Con Libro SII</h1>
<form name="form1" action="" method="post" enctype="multipart/form-data">
<table align="center">
	<tr>
		<td align="center">
			<input name="txtfecha" id="txtfecha" type="text" value="<?=$txtfecha?>" size="10" readonly="1">
			<a href="javascript:show_calendar('form1.txtfecha');"><img name="foto2" id="foto2" align="top" border="0" src="../Images/CALENDAR.gif" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a>
		</td>
		<td width="20px"></td>
		<td>Buscar <input type="text" name="busca_numero" value="<?=$busca_numero?>"></td>
		<td width="20px"></td>
		<td align="center"><input type="submit" name="ver" value="Ver Diferencias"></td>
	</tr>
</table>
</form>
</div>
<br>
<?php
if(isset($_POST['ver'])){
$where='';	
if(!empty($busca_numero)){
	$where="AND num_dcto='$busca_numero'";
}	
$sql_libro_sii ="SELECT * FROM libro_dte_sii WHERE MONTH(fecha)=$mes and YEAR(fecha)=$ano and (tipo_dcto=33 OR tipo_dcto=34 OR tipo_dcto=43 OR tipo_dcto=61 OR tipo_dcto=56 OR tipo_dcto=46)
				  AND tipo_libro='$tipo_libro' AND empresa = $id_empresa $where";
$res_libro_sii = mysql_query($sql_libro_sii,$enlace);

if(mysql_num_rows($res_libro_sii)>0){
?>
<div id="cajon1">
	<h2 align="center">Libro DTE</h2>
	<table align="center" width="99%" border="1" cellspacing="0" cellpadding="1">
		<tr>
			<td align="center">Rut Proveedor</td>
			<td align="center">Tipo Dcto</td>
			<td align="center">Folio</td>
			<td align="center">Total</td>
			<td align="center">Resultado</td>
			<td align="center">Fecha Recep</td>
			<td align="center">Fecha Acuse</td>
		</tr>
		<?php
		$cont_1=0;
		while(mysql_fetch_object($res_libro_sii)){
				$res_consulta='';
 				$res_rut=mysql_result($res_libro_sii, $cont_1, "rut");
  				$res_tipo_dcto=mysql_result($res_libro_sii, $cont_1, "tipo_dcto");
				$res_num_dcto=mysql_result($res_libro_sii, $cont_1, "num_dcto");
				$res_Total=mysql_result($res_libro_sii, $cont_1, "Total");
				$res_fecha_recepcion=mysql_result($res_libro_sii, $cont_1, "fecha_recepcion");
				$res_fecha=mysql_result($res_libro_sii, $cont_1, "fecha_acuse");
				
				$existe_compra="SELECT * FROM entrada WHERE rut_proveedor='$res_rut' AND num_dcto=$res_num_dcto AND tipo_dcto=$res_tipo_dcto AND empresa = $id_empresa";
				$res_existe_compra = mysql_query($existe_compra,$enlace);
				if(mysql_num_rows($res_existe_compra)>0){
					$res_consulta='OK'; 
					
					$res_numdcto=mysql_result($res_existe_compra, 0, "num_dcto");	
					$res_fecha_libro=mysql_result($res_existe_compra, 0, "fecha_libro");
					$new_fecha=$ano.'-'.$mes.'-01';
					
					if($res_fecha_libro<$new_fecha){
					$res_consulta='Documento fuera de fecha indicada. fecha_libro: ';
					?>
					<tr <?php if($res_consulta!='OK'){echo 'style="color:#ff0000"';}?>>
						<td align='center'><?=$res_rut?></td>
						<td align='center'><?=$res_tipo_dcto?></td>
						<td align='center'><?=$res_num_dcto?></td>
						<td align='right'><?=$res_Total?></td>
						<td align='center'><?=$res_consulta.$res_fecha_libro?></td>
						<td align='center'><?=$res_fecha_recepcion?></td>
						<td align='center'><?=$res_fecha?></td>
					</tr>
					<?php
					}
				}else{
				$res_consulta='No existe documento en libro de compra';
				?>
					<tr <?php if($res_consulta!='OK'){echo 'style="color:#ff0000"';}?>>
						<td align='center'><?=$res_rut?></td>
						<td align='center'><?=$res_tipo_dcto?></td>
						<td align='center'><?=$res_num_dcto?></td>
						<td align='right'><?=$res_Total?></td>
						<td align='center'><?=$res_consulta?></td>
						<td align='center'><?=$res_fecha_recepcion?></td>
						<td align='center'><?=$res_fecha?></td>
					</tr>
				<?php	
				}
				$cont_1 = $cont_1 + 1;	  
 				}
		?>
		<tr></tr>
	</table>
<br>
<form name="form2" id="form2" action="" method="post" enctype="multipart/form-data" onSubmit="return enviar();">
<table align="center">
	<tr>
		<td style="display:none"><input name="txtfecha" id="txtfecha" type="text" value="<?=$txtfecha?>" size="10" readonly="1"><td>
		<td style="display:none"><input name="busca_numero" id="busca_numero" type="text" value="<?=$busca_numero?>" size="10" readonly="1"><td>
		<td align="center"><input type="submit" name="traspasa" value="Traspasa a Libro Compra"></td>
	</tr>
</table>
</form>	
</div>
<?php
}
$sql_libro_sii ="SELECT * FROM entrada WHERE MONTH(fecha_libro)=$mes and YEAR(fecha_libro)=$ano and (tipo_dcto=33 OR tipo_dcto=34 
				 OR tipo_dcto=43 OR tipo_dcto=61 OR tipo_dcto=56 OR tipo_dcto=46) AND empresa = $id_empresa $where";
$res_libro_sii = mysql_query($sql_libro_sii,$enlace);

if(mysql_num_rows($res_libro_sii)>0){
?>
<div id="cajon1">
	<h2 align="center">Libro Compra</h2>
	<table align="center" width="99%" border="1" cellspacing="0" cellpadding="1">
		<tr>
			<td align="center">Rut Proveedor</td>
			<td align="center">Tipo Dcto</td>
			<td align="center">Folio</td>
			<td align="center">Total</td>
			<td align="center">Resultado</td>
			<td align="center">Fecha Libro</td>
		</tr>
		<?php
		$cont_1=0;
		while(mysql_fetch_object($res_libro_sii)){
				$res_consulta='';
 				$res_rut=mysql_result($res_libro_sii, $cont_1, "rut_proveedor");
  				$res_tipo_dcto=mysql_result($res_libro_sii, $cont_1, "tipo_dcto");
				$res_num_dcto=mysql_result($res_libro_sii, $cont_1, "num_dcto");
				$res_Total=mysql_result($res_libro_sii, $cont_1, "Total");
				$res_fecha=mysql_result($res_libro_sii, $cont_1, "fecha_libro");
				
				$existe_compra="SELECT * FROM libro_dte_sii WHERE rut='$res_rut' AND num_dcto=$res_num_dcto AND tipo_dcto=$res_tipo_dcto AND tipo_libro='$tipo_libro' AND empresa = $id_empresa";
				$res_existe_compra = mysql_query($existe_compra,$enlace);
				if(mysql_num_rows($res_existe_compra)>0){
					$res_consulta='OK';
					$res_numdcto=mysql_result($res_existe_compra, 0, "num_dcto");		
					$res_fecha_dte=mysql_result($res_existe_compra, 0, "fecha");
					$new_fecha=$ano.'-'.$mes.'-01';
					
					if($res_fecha_dte<$new_fecha){
					$res_consulta='Documento fuera de fecha indicada. fecha_dte: ';
					?>
					<tr <?php if($res_consulta=='OK'){echo 'style="color:#ff0000"';}?>>
						<td align='center'><?=$res_rut?></td>
						<td align='center'><?=$res_tipo_dcto?></td>
						<td align='center'><?=$res_num_dcto?></td>
						<td align='right'><?=$res_Total?></td>
						<td align='center'><?=$res_consulta.$res_fecha_dte?></td>
						<td align='center'><?=$res_fecha?></td>
					</tr>
				<?php
					}
				}else{
				$res_consulta='No existe documento en libro DTE';
				?>
					<tr <?php if($res_consulta!='OK'){echo 'style="color:#ff0000"';}?>>
						<td align='center'><?=$res_rut?></td>
						<td align='center'><?=$res_tipo_dcto?></td>
						<td align='center'><?=$res_num_dcto?></td>
						<td align='right'><?=$res_Total?></td>
						<td align='center'><?=$res_consulta?></td>
						<td align='center'><?=$res_fecha?></td>
					</tr>
				<?php	
				}				
				$cont_1 = $cont_1 + 1;	  
 				}
		?>
		<tr></tr>
	</table>
</div>
<?php
}
}else if(isset($_POST['traspasa'])){
$where='';
if(!empty($busca_numero)){
	$where="AND num_dcto='$busca_numero'";
}
	
$sql_libro_sii ="SELECT * FROM libro_dte_sii WHERE MONTH(fecha)=$mes and YEAR(fecha)=$ano and (tipo_dcto=33 OR tipo_dcto=34 OR tipo_dcto=43 OR tipo_dcto=61 OR tipo_dcto=56 OR tipo_dcto=46) AND tipo_libro='$tipo_libro' AND empresa = $id_empresa $where";
$res_libro_sii = mysql_query($sql_libro_sii,$enlace);

$insertado=0;
if(mysql_num_rows($res_libro_sii)>0){
	$cont_1=0;
	while(mysql_fetch_object($res_libro_sii)){
		$accionDoc_aceptacion='';
		$accionDoc_mercaderia='';
		$res_consulta='';
 		$res_rut=mysql_result($res_libro_sii, $cont_1, "rut");
  		$res_tipo_dcto=mysql_result($res_libro_sii, $cont_1, "tipo_dcto");
		$res_num_dcto=mysql_result($res_libro_sii, $cont_1, "num_dcto");
		$res_Total=mysql_result($res_libro_sii, $cont_1, "Total");
		$res_fecha_recepcion=mysql_result($res_libro_sii, $cont_1, "fecha_recepcion");
		$res_fecha=mysql_result($res_libro_sii, $cont_1, "fecha_acuse");
		
		$existe_compra="SELECT * FROM entrada WHERE rut_proveedor='$res_rut' AND num_dcto=$res_num_dcto AND tipo_dcto=$res_tipo_dcto AND empresa = $id_empresa";
		$res_existe_compra = mysql_query($existe_compra,$enlace);
		//echo $existe_compra.'<br>';
		$factor=1;
		if($res_tipo_dcto==61){$factor=-1;}
		//echo $factor.'<br>';
		if(mysql_num_rows($res_existe_compra)>0){
		$res_consulta='OK';
		}else{
		$res_consulta='No existe documento en libro DTE';	
		$res_empresa_dte=mysql_result($res_libro_sii, $cont_1, "empresa");
		$res_rut_dte=mysql_result($res_libro_sii, $cont_1, "rut");
		$res_folio_dte=mysql_result($res_libro_sii, $cont_1, "num_dcto");
		$res_tipo_dte=mysql_result($res_libro_sii, $cont_1, "tipo_dcto");
		$res_fechadc_dte=mysql_result($res_libro_sii, $cont_1, "fecha_dcto");
		$res_frecepcion_dte=mysql_result($res_libro_sii, $cont_1, "fecha_recepcion");
		$res_facuse_dte=mysql_result($res_libro_sii, $cont_1, "fecha_acuse");
		//$res_exento_dte=mysql_result($res_libro_sii, $cont_1, "exento");
		$res_neto_dte=mysql_result($res_libro_sii, $cont_1, "neto");
		$res_iva_dte=mysql_result($res_libro_sii, $cont_1, "iva");
		$res_ivanr_dte=mysql_result($res_libro_sii, $cont_1, "iva_no_recuperable");
		$res_codivanr_dte=mysql_result($res_libro_sii, $cont_1, "cod_iva_no_recuperable");
		$res_total_dte=mysql_result($res_libro_sii, $cont_1, "total");
		$res_valimpuesto_dte=mysql_result($res_libro_sii, $cont_1, "valor_otro_impuesto");
		$res_impsincredito_dte=mysql_result($res_libro_sii, $cont_1, "impuesto_sin_derecho_credito");
		
		//$exento=$res_exento_dte+$res_valimpuesto_dte+$res_impsincredito_dte;
		$exento=$res_total_dte-$res_neto_dte-$res_iva_dte;
		
		if(empty($res_facuse_dte) || $res_facuse_dte=='0000-00-00 00:00:00'){
			$res_facuse_dte=$res_frecepcion_dte;
		}
		
		$sql_par = "SELECT correlativo FROM tipo_dcto_num_bodega WHERE id_empresa = $id_empresa AND id_dcto=13";
		//echo $sql_par.'</br>';	
		$res_par = mysql_query($sql_par,$enlace);
		$row=0;
		$txtcorrelativo=0;
		while (mysql_fetch_object ($res_par))
		{
		$txtcorrelativo=mysql_result($res_par, $row, "correlativo");
		$row=$row+1;
		}
		$txtcorrelativo+=1;	

		$up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = '$txtcorrelativo' WHERE id_dcto=13 AND  id_empresa = $id_empresa";
		//echo $up_dcto.'</br>';		
		$res_up_dcto = mysql_query(utf8_decode($up_dcto),$enlace);	
	
		$tipo_pago=3;
		$fecha_recepcion_sii='0000-00-00 00:00:00';
		$ins_libro="INSERT INTO entrada (empresa,rut_proveedor,num_dcto,tipo_dcto,fecha_emision,fecha_recepcion,fecha_pago,fecha_libro,
					tipo_pago,neto,exento,iva,total,iva_no_recuperable,cod_iva_no_recuperable,usuario,bodega,vendedor,correlativo,factor,
					estado_aceptacion,estado_mercaderia,fecha_recepcion_sii,recepcion_archivo)
					VALUES ($id_empresa,'$res_rut_dte',$res_folio_dte,$res_tipo_dte,'$res_fechadc_dte','$fecha_libro_insert',
					'$res_facuse_dte','$fecha_libro_insert',$tipo_pago,$res_neto_dte,$exento,$res_iva_dte,$res_total_dte,$res_ivanr_dte,
					'$res_codivanr_dte',$id_user,$id_bodega,$id_vendedor,$txtcorrelativo,$factor,'$accionDoc_aceptacion',
					'$accionDoc_mercaderia','$fecha_recepcion_sii','1')";
		//echo 	$ins_libro.'<br>';	
		$res_ins_libro = mysql_query(utf8_decode($ins_libro),$enlace);
		
		if($res_ins_libro){
		$insertado++;
		//++++++++++++++++++++++++++++ Sacar el ultimo
		$sql_ultimo = "SELECT id FROM entrada WHERE id=last_insert_id()";
		$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
		$eultimo_id = mysql_result($res_ultimo, 0, "id");
		
		if ($empresa_cuenta_corriente=='si' ){
			
		$sql_abrtip = "SELECT abr FROM tipo_dcto WHERE id=$res_tipo_dte";
		$res_abrtip =  mysql_query($sql_abrtip, $enlace);		
		$abrtipo_doc = mysql_result($res_abrtip, 0, "abr");	
		
		$des="Otros...";     // *********** MCC
		$des=$abrtipo_doc.' '.$res_folio_dte;
	
		$csql="INSERT INTO pago_proveedores (empresa, rut, num_salida, fecha, descripcion, valor, tipo) 
		VALUES ($id_empresa, '$res_rut_dte', $eultimo_id, '$fecha_libro_insert', '$des', $res_total_dte*$factor, 'C')"; //*********** MCC
		//echo 	$csql.'<br>';	    
		$con = mysql_query(utf8_decode($csql),$enlace);
		}
		
		$sql_ccargo_empresa = "SELECT cuenta_cargo FROM nombres WHERE rut='$res_rut_dte'";
		$res_ccargo_empresa =  mysql_query($sql_ccargo_empresa, $enlace);		
		$cuenta_cargo_empresa = mysql_result($res_ccargo_empresa, 0, "cuenta_cargo");
		if($cuenta_cargo_empresa==0){
			$cuenta_cargo_empresa=$empresa_cuenta_cargo;
		}
		
		
		$sql_ccargo = "SELECT id FROM plan_cuenta WHERE cuenta_contable=$cuenta_cargo_empresa";
		$res_ccargo =  mysql_query($sql_ccargo, $enlace);		
		$lstcargo0 = mysql_result($res_ccargo, 0, "id");
		
		//$lstcargo0=1;                           //  sin cuenta de cargo
		$txtcargo0=($exento+$res_neto_dte);
		
		/*************** MERCADERIA =0  ES GASTO ***************/
        if($lstcargo0<>null){
		$cargos_sql="INSERT INTO cuentas_de_cargo (id_plan_cuenta, id_entrada, valor, fecha_libro, id_empresa) 
		VALUES ($lstcargo0, $eultimo_id, $txtcargo0,'$fecha_libro_insert', $id_empresa)";
		//echo 	$cargos_sql.'<br>';
		mysql_query(utf8_decode($cargos_sql),$enlace);
		}
		}
	}
	$cont_1 = $cont_1 + 1;	
	}
echo '<h2 align="center">DTE Insertados : '.$insertado.'</h2>';	
}
}
?>
</body>
</html>
<script language="JavaScript"> 
function enviar(){
	if (confirm('¿Esta seguro de que desea traspasar DTE SII a libro de compra?')){ 
        document.form2.submit();
		return true;
    }else{
		return false;
	} 
}
</script>
